Subject: Re: [RFC] Submodules in GIT

From: Andy Parkins <[email-masked]>
Date: Sat, 2 Dec 2006 09:27:49 +0000

On Saturday 2006, December 02 00:33, Linus Torvalds wrote:

> Yes, you do need to have a list of submodules somewhere, and you'd need to
> maintain that separately. One of the results of having the submodules be

Why?  You just recursively search for every "link" object in the supermodule.  
That tells you which submodules you need and where they should be.

During a supermodule clone, it can tell the client end to start a new clone 
with the correct path because it knows what the local path is at that moment.

Andy
-- 
Dr Andrew Parkins, M Eng (Hons), AMIEE